%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate print_bytes

Name:           rust-print_bytes
Version:        1.2.0
Release:    1%{?dist}
Summary:        Print bytes as losslessly as possible

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/print_bytes
Source0:         %{crates_source}
Patch:          print_bytes-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Print bytes as losslessly as possible.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+specialization-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+specialization-devel %{_description}

This package contains library source intended for building other packages which
use the "specialization" feature of the "%{crate}" crate.

%files       -n %{name}+specialization-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
